## org.eclipse.datatools.modelbase.dbdefinition.impl
Class FieldQualifierDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.FieldQualifierDefinitionImpl

All Implemented Interfaces:
  FieldQualifierDefinition

public class FieldQualifierDefinitionImpl
extends EObjectImpl
implements FieldQualifierDefinition

An implementation of the model object 'Field Qualifier Definition'.

The following features are implemented:

- `Valid Trailing Field Qualifier Definitions`
- `Name`
- `Maximum Precision`
- `Default Precision`
- `Precision Supported`
- `Maximum Scale`
- `Default Scale`
- `Scale Supported`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getDefaultPrecision()`
`int` `getDefaultScale()`
`int` `getMaximumPrecision()`
`int` `getMaximumScale()`
`IntervalQualifierType` `getName()`
`EList` `getValidTrailingFieldQualifierDefinitions()`
`boolean` `isPrecisionSupported()`
`boolean` `isScaleSupported()`
`void` `setDefaultPrecision(int newDefaultPrecision)`
`void` `setDefaultScale(int newDefaultScale)`
`void` `setMaximumPrecision(int newMaximumPrecision)`
`void` `setMaximumScale(int newMaximumScale)`
`void` `setName(IntervalQualifierType newName)`
`void` `setPrecisionSupported(boolean newPrecisionSupported)`
`void` `setScaleSupported(boolean newScaleSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getValidTrailingFieldQualifierDefinitions

    public EList getValidTrailingFieldQualifierDefinitions()

  Specified by:
    `getValidTrailingFieldQualifierDefinitions` in interface `FieldQualifierDefinition`
  Returns:
    the value of the 'Valid Trailing Field Qualifier Definitions' reference list.
  See Also:
    `DatabaseDefinitionPackage.getFieldQualifierDefinition_ValidTrailingFieldQualifierDefinitions()`

### getName

    public IntervalQualifierType getName()

  Specified by:
    `getName` in interface `FieldQualifierDefinition`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `IntervalQualifierType`, `FieldQualifierDefinition.setName(IntervalQualifierType)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_Name()`

### setName

    public void setName(IntervalQualifierType newName)

  Specified by:
    `setName` in interface `FieldQualifierDefinition`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `IntervalQualifierType`, `FieldQualifierDefinition.getName()`

### getMaximumPrecision

    public int getMaximumPrecision()

  Specified by:
    `getMaximumPrecision` in interface `FieldQualifierDefinition`
  Returns:
    the value of the 'Maximum Precision' attribute.
  See Also:
    `FieldQualifierDefinition.setMaximumPrecision(int)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_MaximumPrecision()`

### setMaximumPrecision

    public void setMaximumPrecision(int newMaximumPrecision)

  Specified by:
    `setMaximumPrecision` in interface `FieldQualifierDefinition`
  Parameters:
    `newMaximumPrecision` - the new value of the 'Maximum Precision' attribute.
  See Also:
    `FieldQualifierDefinition.getMaximumPrecision()`

### getDefaultPrecision

    public int getDefaultPrecision()

  Specified by:
    `getDefaultPrecision` in interface `FieldQualifierDefinition`
  Returns:
    the value of the 'Default Precision' attribute.
  See Also:
    `FieldQualifierDefinition.setDefaultPrecision(int)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_DefaultPrecision()`

### setDefaultPrecision

    public void setDefaultPrecision(int newDefaultPrecision)

  Specified by:
    `setDefaultPrecision` in interface `FieldQualifierDefinition`
  Parameters:
    `newDefaultPrecision` - the new value of the 'Default Precision' attribute.
  See Also:
    `FieldQualifierDefinition.getDefaultPrecision()`

### isPrecisionSupported

    public boolean isPrecisionSupported()

  Specified by:
    `isPrecisionSupported` in interface `FieldQualifierDefinition`
  Returns:
    the value of the 'Precision Supported' attribute.
  See Also:
    `FieldQualifierDefinition.setPrecisionSupported(boolean)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_PrecisionSupported()`

### setPrecisionSupported

    public void setPrecisionSupported(boolean newPrecisionSupported)

  Specified by:
    `setPrecisionSupported` in interface `FieldQualifierDefinition`
  Parameters:
    `newPrecisionSupported` - the new value of the 'Precision Supported' attribute.
  See Also:
    `FieldQualifierDefinition.isPrecisionSupported()`

### getMaximumScale

    public int getMaximumScale()

  Specified by:
    `getMaximumScale` in interface `FieldQualifierDefinition`
  Returns:
    the value of the 'Maximum Scale' attribute.
  See Also:
    `FieldQualifierDefinition.setMaximumScale(int)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_MaximumScale()`

### setMaximumScale

    public void setMaximumScale(int newMaximumScale)

  Specified by:
    `setMaximumScale` in interface `FieldQualifierDefinition`
  Parameters:
    `newMaximumScale` - the new value of the 'Maximum Scale' attribute.
  See Also:
    `FieldQualifierDefinition.getMaximumScale()`

### getDefaultScale

    public int getDefaultScale()

  Specified by:
    `getDefaultScale` in interface `FieldQualifierDefinition`
  Returns:
    the value of the 'Default Scale' attribute.
  See Also:
    `FieldQualifierDefinition.setDefaultScale(int)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_DefaultScale()`

### setDefaultScale

    public void setDefaultScale(int newDefaultScale)

  Specified by:
    `setDefaultScale` in interface `FieldQualifierDefinition`
  Parameters:
    `newDefaultScale` - the new value of the 'Default Scale' attribute.
  See Also:
    `FieldQualifierDefinition.getDefaultScale()`

### isScaleSupported

    public boolean isScaleSupported()

  Specified by:
    `isScaleSupported` in interface `FieldQualifierDefinition`
  Returns:
    the value of the 'Scale Supported' attribute.
  See Also:
    `FieldQualifierDefinition.setScaleSupported(boolean)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_ScaleSupported()`

### setScaleSupported

    public void setScaleSupported(boolean newScaleSupported)

  Specified by:
    `setScaleSupported` in interface `FieldQualifierDefinition`
  Parameters:
    `newScaleSupported` - the new value of the 'Scale Supported' attribute.
  See Also:
    `FieldQualifierDefinition.isScaleSupported()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.